com.jscape.util.keystore

## Class CertificateMap

- java.lang.Object
- - com.jscape.util.keystore.CertificateMap

-     public class CertificateMap
      extends java.lang.Object

  Represents certificates mapped to aliases.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateMap()`
    `CertificateMap(CertificateMap that)`
    `CertificateMap(java.util.Map<java.lang.String,CertificateRecord> entries)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears all certificate aliases.
    `boolean` | `contains(java.lang.String alias)` Checks for certificate for given alias.
    `CertificateRecord` | `get(java.lang.String alias)` Gets certificate for given alias.
    `java.lang.String[]` | `getAliases()` Gets all aliases for certificates.
    `java.security.cert.Certificate[]` | `getCertificates()`
    `java.util.Map<java.lang.String,CertificateRecord>` | `getEntries()`
    `void` | `remove(java.lang.String alias)` Removes certificate for given alias.
    `void` | `set(java.lang.String alias, CertificateRecord record)` Sets certificate for given alias.
    `void` | `setEntries(java.util.Map<java.lang.String,CertificateRecord> value)`
    `int` | `size()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateMap

          public CertificateMap(java.util.Map<java.lang.String,CertificateRecord> entries)

    - #### CertificateMap

          public CertificateMap(CertificateMap that)

    - #### CertificateMap

          public CertificateMap()

  - ### Method Detail

    - #### getEntries

          public java.util.Map<java.lang.String,CertificateRecord> getEntries()

    - #### setEntries

          public void setEntries(java.util.Map<java.lang.String,CertificateRecord> value)

    - #### getAliases

          public java.lang.String[] getAliases()

      Gets all aliases for certificates.
      Returns:
        all aliases for certificates

    - #### contains

          public boolean contains(java.lang.String alias)

      Checks for certificate for given alias.
      Parameters:
        `alias` - certificate alias
      Returns:
        `true` if map contains specified alias; `false` otherwise

    - #### get

          public CertificateRecord get(java.lang.String alias)

      Gets certificate for given alias.
      Parameters:
        `alias` - certificate alias
      Returns:
        corresponded certificate record

    - #### set

          public void set(java.lang.String alias,
                          CertificateRecord record)

      Sets certificate for given alias.
      Parameters:
        `alias` - certificate alias
        `record` - certificate record

    - #### remove

          public void remove(java.lang.String alias)

      Removes certificate for given alias.
      Parameters:
        `alias` - certificate alias

    - #### clear

          public void clear()

      Clears all certificate aliases.

    - #### size

          public int size()

    - #### getCertificates

          public java.security.cert.Certificate[] getCertificates()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.